<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Gump Properties</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>

  <body>
    <section name="Gump Settings">
      <p>
        There are no settings available to tailor the output
        from the Gump plugin, however it does use the following
        project descriptor settings
      </p>
      <table>
        <tr><th>Property</th><th>Optional?</th><th>Description</th></tr>
        <tr>
          <td>pom.dependencies</td>
          <td>Yes</td>
          <td>
			Used to derive a list of projects that are depended on, which
			is the iterated to provide the <code>depend project</code>
			value for Gump.
          </td>
        </tr>
        <tr>
          <td>pom.gumpRepositoryId</td>
          <td>Yes</td>
          <td>
			Used to generate the <code>cvs repository</code> value for Gump
          </td>
        </tr>
        <tr>
          <td>pom.artifactId</td>
          <td>Yes</td>
          <td>
			Use to generate the <code>module</code>, <code>project</code>
			<code>jar</code> and <code>nag</code> values for Gump
          </td>
        </tr>
        <tr>
          <td>pom.nagEmailAddress</td>
          <td>Yes</td>
          <td>
			Used to generate the <code>nag from and to</code> values for Gump.
          </td>
        </tr>
        <tr>
          <td>pom.package</td>
          <td>Yes</td>
          <td>
			Used to generate the <code>package</code> value for Gump.
          </td>
        </tr>
        <tr>
          <td>pom.repository.connection</td>
          <td>Yes</td>
          <td>
			Used to generate the <code>cvs module</code> value for Gump.
			The fifth colon delimited value is used.
          </td>
        </tr>
        <tr>
          <td>pom.url</td>
          <td>Yes</td>
          <td>
			Used to generate the <code>url</code> value for Gump
          </td>
        </tr>
      </table>
    </section>
  </body>
</document>
